@charset "utf-8";

.wrapper {
    padding-left: 5%;
    padding-right: 5%;
}

.lesson_fv {
    width: 100%;
    padding-top: 24%;
    padding-bottom: 10%;
    background-image: url(../img/pagetop_title2.png);
    background-repeat: no-repeat;
    background-size: 100% auto;
    /* 枠いっぱいに広げる */
    background-position: top center;
    /* 画像の「真ん中」を基準にする */
    position: relative;

}

.lesson_fv::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(92, 66, 46, 0.38);
    /* 重ねたい色（ここでは黒の40%） */
    z-index: 1;
}

.lesson_fv h2 {
    position: relative;
    z-index: 2;
    color: #FEFDFA;
    text-align: center;
    letter-spacing: .1rem;
    font-weight: normal;
    padding-top: 5%;
    text-shadow: 0 2px 4px rgba(59, 72, 124, 0.3);

}


/* レッスンについてセクション */

main .lessonabout {
    background-color: #FEFDFA;
    padding-top: 15%;
    padding-bottom: 5%;

}

.lessonabout .title {
    font-weight: 500;
    letter-spacing: .2rem;
    font-size: 1.2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* 自身の幅・高さ分戻して中央寄せ(レフトとトップは一番左端も文字が基準になったりして微妙に右にずれたり、下にずれたりするから） */
    margin: 0;
    color: #FEFDFA;
    width: 100%;
    text-align: center;
}

.lessonabout .lessonheading {
    width: 70%;
    max-width: 300px;
    position: relative;
    margin: 0 auto;
    margin-bottom: 5%;
}

.lessonabout .lessonheading img {
    width: 100%;
    display: block;
}

.fade-in {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 1.5s, transform 1.5s ease;
    /* 1秒かけて変化 */
}

/* 画面内に入って 'show' クラスがついた時の状態 */
.fade-in.show {
    opacity: 1;
    transform: translateY(0);
}


.lessonpicture {

    margin: 0 auto;
}

.lessonpicture img {
    width: 70%;
    height: 60%;
    max-width: 400px;
    aspect-ratio: 1/ .6;
    object-fit: cover;
    object-position: top;
    display: block;
    margin: 0 auto;
}

.lessonabouttext {
    margin-top: 5%;
    padding-bottom: 5%;
    text-align: center;
    font-size: 0.8rem;
}

.lessonabouttext .lessontext2 {
    margin-bottom: 2%;
}

/* レッスンの流れセクション */
main .lessonabout2 {
    background-color: #FEFDFA;
    padding-top: 8%;
    padding-bottom: 5%;

}

.lessonabout2 .title {
    font-weight: 500;
    letter-spacing: .2rem;
    font-size: 1.2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* 自身の幅・高さ分戻して中央寄せ(レフトとトップは一番左端も文字が基準になったりして微妙に右にずれたり、下にずれたりするから） */
    margin: 0;
    color: #FEFDFA;
    width: 100%;
    text-align: center;
}

.lessonabout2 .lessonabout2heading {
    width: 70%;
    max-width: 300px;
    position: relative;
    margin: 0 auto;
    margin-bottom: 5%;
}

.lessonabout2 .lessonabout2heading img {
    width: 100%;
    display: block;
}

.lessonabout2 .lessonabout2text {
    font-size: 0.8rem;
    text-align: center;
}

.lessonabout2 .lessonabout2text .none1 {
    display: none;
}

.lessonabout2 .lessonabout2text h4 {
    margin-bottom: 1rem;
}

.lessonabout2 .lessonabout2text div {
    margin-bottom: 15%;
}

.lessonabout2text .lessontoday img {
    width: 8%;
    display: block;
    transform: rotate(-90deg);
    margin: 0 auto;
    max-width: 110px;
    min-width: 110px;

}


/* レッスン料金セクション */

main .lessonfee {
    background-color: #FEFDFA;
    padding-bottom: 5%;

}

.lessonfee .title {
    font-weight: 500;
    letter-spacing: .2rem;
    font-size: 1.2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* 自身の幅・高さ分戻して中央寄せ(レフトとトップは一番左端も文字が基準になったりして微妙に右にずれたり、下にずれたりするから） */
    margin: 0;
    color: #FEFDFA;
    width: 100%;
    text-align: center;
}

.lessonfee .lessonfeeheading {
    width: 70%;
    max-width: 300px;
    position: relative;
    margin: 0 auto;
    margin-bottom: 5%;
}

.lessonfee .lessonfeeheading img {
    width: 100%;
    display: block;
}

.lessonfeetext {
    font-size: 0.8rem;
}

.lessonfeetext table {
    margin: 0 auto;
    border-collapse: separate;
    /* セルを分離させる設定 */
    border-spacing: 16px 0;
    font-weight: 600;
}

.lessonfeetext p {
    text-align: center;

}

.lessonfeetext small {
    font-size: 0.8rem;
}

/* レッスン場所セクション */
main .lessonplace {
    background-color: #FEFDFA;
    padding-bottom: 5%;
    padding-top: 5%;

}

.lessonplace .title {
    font-weight: 500;
    letter-spacing: .2rem;
    font-size: 1.2rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* 自身の幅・高さ分戻して中央寄せ(レフトとトップは一番左端も文字が基準になったりして微妙に右にずれたり、下にずれたりするから） */
    margin: 0;
    color: #FEFDFA;
    width: 100%;
    text-align: center;
}

.lessonplace .lessonplaceheading {
    width: 70%;
    max-width: 300px;
    position: relative;
    margin: 0 auto;
    margin-bottom: 5%;
}

.lessonplace .lessonplaceheading img {
    width: 100%;
    display: block;
}

.lessonplace .lessonplacetext {
    font-size: 0.8rem;
    text-align: center;
}

.lessonplace .lessonplacetext small {
    font-size: 0.8rem;
}



@media screen and (min-width: 430px) {
    .lesson_fv {
        padding-top: 20%;
    }

    /* レッスンについてセクション */
    main .lessonabout {
        padding-top: 10%;
    }

    .lessonabout .lessonheading {
        width: 70%;
        max-width: 400px;
    }

    .lessonabout .title {
        letter-spacing: .2rem;
        font-size: 1.5rem;
    }

    .lessonabout .lessonabouttext {
        font-size: 1rem;
    }

    /* レッスンの流れセクション */
    main .lessonabout2 {
        padding-top: 0;
    }

    .lessonabout2 .lessonabout2heading {
        width: 70%;
        max-width: 400px;
    }

    .lessonabout2 .title {
        letter-spacing: .2rem;
        font-size: 1.5rem;
    }

    .lessonabout2 .lessonabout2text {
        font-size: 1rem;
    }

    .lessonabout2 .lessonabout2text div {
        margin-bottom: 10%;
    }

    /* レッスン料金のセクション*/


    .lessonfee .lessonfeeheading {
        width: 70%;
        max-width: 400px;
    }

    .lessonfee .title {
        letter-spacing: .2rem;
        font-size: 1.5rem;
    }

    .lessonfeetext {
        font-size: 1.2rem;
    }

    /* レッスン場所のセクション */
    .lessonplace .lessonplaceheading {
        width: 70%;
        max-width: 400px;
    }

    .lessonplace .title {
        letter-spacing: .2rem;
        font-size: 1.5rem;
    }

    .lessonplace .lessonplacetext {
        font-size: 1rem;
    }



}




@media screen and (min-width: 1025px) {
    .lesson_fv h2 {
        font-size: 2rem;
        letter-spacing: .3rem;
        padding-top: 0;
    }

    /* レッスンについてセクション */
    main .lessonabout {
        padding-top: 5%;
    }

    .lessonabout .lessonabouttext .none {
        display: none;
    }

    /* レッスンの流れセクション */

    .lessonabout2 .lessonabout2text .none1 {
        display: inline;
    }

    .lessonabout2 .lessonabout2text .none {
        display: none;
    }

    /* レッスン料金のセクション */
    main .lessonplace {
        padding-bottom: 10%;
    }

    .lessonfeetext p .none {
        display: none;
    }

    /* レッスン場所のセクション */
    .lessonplacetext p .none {
        display: none;
    }


}